# Uses of Enum
org.kapott.hbci.smartcardio.RSAKeyData.Type

Packages that use RSAKeyData.Type
Package
Description
org.kapott.hbci.smartcardio

## Uses of RSAKeyData.Type in org.kapott.hbci.smartcardio

Methods in org.kapott.hbci.smartcardio that return RSAKeyData.Type
Modifier and Type
Method
Description
`RSAKeyData.Type`
RSAKeyData.`getType()`
`static RSAKeyData.Type`
RSAKeyData.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static RSAKeyData.Type[]`
RSAKeyData.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.kapott.hbci.smartcardio with parameters of type RSAKeyData.Type
Modifier
Constructor
Description
``
`RSAKeyData(int index, RSAKeyData.Type type, byte[] keyLogData, byte[] publicKeyData)`